#!/bin/sh

# If we are not on Redhat/CentOS 6 or higher, don't run dax
RELFILE=/etc/redhat-release
MINVER=6
if [ -f "$RELFILE" ]; then
    VERSION=`cat $RELFILE | sed s/.*release\ // | sed s/\ .*// | awk -F. '{ print $1 }'`
    echo "$VERSION"
    if [ "$VERSION" -lt "$MINVER" ]; then
        echo "rundax.sh: Version $VERSION of this OS is too old, not starting dax."
        exit 0
    fi
else
    echo "rundax.sh: Version file $RELFILE does not exist, not starting dax."
    exit 0
fi

if [ -z "$DISPLAY" ] || [ -z "$XAUTHORITY" ]
then
    SID=`cat /proc/$$/sessionid`
    sleep 2
    for f in /tmp/.X11-unix/X*
    do
        d=`basename $f`
        XDIS=:`echo ${d} | awk '/^[X]/ {print substr($0,2)}'`
        XPID=`lsof -w -F p -- ${f} | awk '/^[p]/ {print substr($0,2)}'`
        XCOM=`lsof -w -F c -- ${f} | awk '/^[c]/ {print substr($0,2)}'`
        XUSER=`lsof -w -F L -- ${f} | awk '/^[L]/ {print substr($0,2)}'`

        XSESS=`cat /proc/$XPID/sessionid`
        if [ "$XSESS" = "$SID" ] ;
        then
            XAUTH=`xargs -0 -a /proc/$XPID/cmdline | awk -F'-auth ' '{ print $2 }' | awk '{ print $1 }'`
            export DISPLAY="$XDIS"
            export XAUTHORITY="$XAUTH"
            break
        fi
    done;
fi

(sleep 1 ; /usr/share/centrifydc/sbin/dax >& /dev/null &) &

