#!/bin/sh /usr/share/centrifydc/perl/run

##############################################################################
#
# Copyright (C) 2014-2020 Centrify Corporation. All rights reserved.
#
# script to modify pam.conf file and add our CDC code into it
#
# arguments:
#       please see autoedit_configure.pm
# return:
#       0 if succeed
#       1 if meet error
#
##############################################################################

BEGIN{push(@INC, "/usr/share/centrifydc/scripts")};

use strict;
use lib '/usr/share/centrifydc/perl';
use CentrifyDC::Include;
use warnings;

use autoedit_pam_conf qw(process_pam_conf);
use autoedit_configure qw($cdc_long_comment $cfg_dir $cdc_pam_lib $libs_excluded
                        $newLines $newLines2);

# process pam.conf file
# have nothing special here, just call process_pam_conf()
# If have anything special for a specific machine, add code here
my $ret = process_pam_conf($cdc_pam_lib, $libs_excluded, "$cfg_dir/pam.conf", 
                $cdc_long_comment, $newLines, $newLines);

exit ($ret ? 0 : 1);

